Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## writer2latex.xhtml
Class Converter

    java.lang.Object
      writer2latex.util.ConverterBase
          writer2latex.xhtml.Converter

All Implemented Interfaces:
  Converter

    public class Converter

extends ConverterBase

This class converts an OpenDocument file to an XHTML(+MathML) document<.

Field Summary
`private boolean` | `bNeedHeaderFooter`
`private DrawConverter` | `drawCv`
`private XhtmlDocument` | `htmlDoc`
`private org.w3c.dom.Document` | `htmlDOM`
`private L10n` | `l10n`
`(package private) java.util.LinkedList` | `links`
`private MathConverter` | `mathCv`
`private int` | `nOutFileIndex`
`protected int` | `nType`
`(package private) java.util.Vector` | `outFiles`
`private StyleConverter` | `styleCv`
`private TableConverter` | `tableCv`
`private ExportNameCollection` | `targetNames`
`(package private) java.util.Hashtable` | `targets`
`private XhtmlDocument` | `template`
`private TextConverter` | `textCv`

Fields inherited from class writer2latex.util.ConverterBase
`config, convertData, graphicConverter, imageLoader, metaData, odDoc, ofr, sTargetFileName`

Constructor Summary
`Converter(int nType)`

Method Summary
`private void` | `addInternalNavigationLink(org.w3c.dom.Document dom, org.w3c.dom.Node node, java.lang.String s, java.lang.String sLink)`
`private void` | `addNavigationLink(org.w3c.dom.Document dom, org.w3c.dom.Node node, java.lang.String s, int nIndex)`
`void` | `addTarget(org.w3c.dom.Element node, java.lang.String sId)`
`void` | `changeOutFile(int nIndex)`
`void` | `convertInner()`
`protected org.w3c.dom.Element` | `createElement(java.lang.String s)`
`org.w3c.dom.Element` | `createLink(org.w3c.dom.Element onode)`
`org.w3c.dom.Element` | `createLink(java.lang.String sId)`
`private void` | `createMeta(java.lang.String sName, java.lang.String sValue)`
`org.w3c.dom.Element` | `createTarget(java.lang.String sId)`
`protected org.w3c.dom.Text` | `createTextNode(java.lang.String s)`
`protected DrawConverter` | `getDrawCv()`
`protected MathConverter` | `getMathCv()`
`protected int` | `getOutFileIndex()`
`private java.lang.String` | `getOutFileName(int nIndex, boolean bWithExt)`
`protected StyleConverter` | `getStyleCv()`
`protected TableConverter` | `getTableCv()`
`protected TextConverter` | `getTextCv()`
`protected int` | `getType()`
`void` | `handleOfficeAnnotation(org.w3c.dom.Node onode, org.w3c.dom.Node hnode)`
`protected org.w3c.dom.Node` | `importNode(org.w3c.dom.Node node, boolean bDeep)`
`org.w3c.dom.Element` | `nextOutFile()`
`boolean` | `outFileHasContent()`
`void` | `readTemplate(java.io.InputStream is)` Read a template to use as a base for the converted document The format of the template depends on the `Converter` implementation.

Methods inherited from class writer2latex.util.ConverterBase
`addDocument, convert, getEmbeddedObject, getImageLoader, getMetaData, setConfig, setGraphicConverter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### l10n

    private L10n l10n

### styleCv

    private StyleConverter styleCv

### textCv

    private TextConverter textCv

### tableCv

    private TableConverter tableCv

### drawCv

    private DrawConverter drawCv

### mathCv

    private MathConverter mathCv

### template

    private XhtmlDocument template

### outFiles

    java.util.Vector outFiles

### nType

    protected int nType

### nOutFileIndex

    private int nOutFileIndex

### htmlDoc

    private XhtmlDocument htmlDoc

### htmlDOM

    private org.w3c.dom.Document htmlDOM

### bNeedHeaderFooter

    private boolean bNeedHeaderFooter

### targets

    java.util.Hashtable targets

### links

    java.util.LinkedList links

### targetNames

    private ExportNameCollection targetNames

Constructor Detail

### Converter

    public Converter(int nType)

Method Detail

### readTemplate

    public void readTemplate(java.io.InputStream is)
                      throws java.io.IOException

  Description copied from interface: `Converter`

  Read a template to use as a base for the converted document

  The format of the template depends on the `Converter` implementation.

  Specified by:
    `readTemplate` in interface `Converter`
  Overrides:
    `readTemplate` in class `ConverterBase`
  Parameters:
    `is` - an `InputStream` from which to read the template
  Throws:
    `java.io.IOException` - if some exception occurs while reading the template

### getStyleCv

    protected StyleConverter getStyleCv()

### getTextCv

    protected TextConverter getTextCv()

### getTableCv

    protected TableConverter getTableCv()

### getDrawCv

    protected DrawConverter getDrawCv()

### getMathCv

    protected MathConverter getMathCv()

### getType

    protected int getType()

### getOutFileIndex

    protected int getOutFileIndex()

### createElement

    protected org.w3c.dom.Element createElement(java.lang.String s)

### createTextNode

    protected org.w3c.dom.Text createTextNode(java.lang.String s)

### importNode

    protected org.w3c.dom.Node importNode(org.w3c.dom.Node node,
                                          boolean bDeep)

### convertInner

    public void convertInner()
                      throws java.io.IOException

  Specified by:
    `convertInner` in class `ConverterBase`
  Throws:
    `java.io.IOException`

### addNavigationLink

    private void addNavigationLink(org.w3c.dom.Document dom,
                                   org.w3c.dom.Node node,
                                   java.lang.String s,
                                   int nIndex)

### addInternalNavigationLink

    private void addInternalNavigationLink(org.w3c.dom.Document dom,
                                           org.w3c.dom.Node node,
                                           java.lang.String s,
                                           java.lang.String sLink)

### handleOfficeAnnotation

    public void handleOfficeAnnotation(org.w3c.dom.Node onode,
                                       org.w3c.dom.Node hnode)

### getOutFileName

    private java.lang.String getOutFileName(int nIndex,
                                            boolean bWithExt)

### outFileHasContent

    public boolean outFileHasContent()

### changeOutFile

    public void changeOutFile(int nIndex)

### nextOutFile

    public org.w3c.dom.Element nextOutFile()

### createTarget

    public org.w3c.dom.Element createTarget(java.lang.String sId)

### addTarget

    public void addTarget(org.w3c.dom.Element node,
                          java.lang.String sId)

### createLink

    public org.w3c.dom.Element createLink(java.lang.String sId)

### createLink

    public org.w3c.dom.Element createLink(org.w3c.dom.Element onode)

### createMeta

    private void createMeta(java.lang.String sName,
                            java.lang.String sValue)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD